<?php

namespace EventPortal\AuthPassword\Tests\Feature;

use EventPortal\AuthPassword\Tests\TestCase;
use EventPortal\AuthPassword\Tests\User;
use Illuminate\Foundation\Testing\RefreshDatabase;

class ResetPasswordTest extends TestCase
{
    use RefreshDatabase;

    /** @test */
    public function trying_to_hit_reset_password_when_not_a_valid_user(): void
    {
        $this->get(route('password.reset'))->assertRedirect(route('login.index'));
    }

    /** @test */
    public function trying_to_hit_reset_password_page_with_no_token_valid()
    {
        $user = User::create([
            'email' => 'someone@example.com',
            'password' => 'password',
            'password_token' => 'TOKEN',
            'password_created_at' => null,
        ]);

        $this->get(
            route(
                'password.reset',
                [
                    'email' => $user->email,
                    'token' => 'TOKEN'
                ]
            )
        )->assertRedirect(route('login.index'));
    }
}
